package cz.frantovo.hibernateDemo1;

import cz.frantovo.hibernateDemo1.CilDAORemote;
import cz.frantovo.hibernateDemo1.dto.Cil;
import java.util.Collection;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;

/**
 * Webová Beana pro zobrazení seznamu cílů.
 * Volá EJB, které tento seznam získá z databáze
 * @author fiki
 */
public class SeznamCilu {

    private CilDAORemote cilDAO;
    private static final Logger log = Logger.getLogger(SeznamCilu.class.getSimpleName());

    public Collection<Cil> getCile() {
        return lookupCilDAO().getCile();
    }

    private CilDAORemote lookupCilDAO() {
        if (cilDAO == null) {
            try {
                Context c = new InitialContext();
                cilDAO = (CilDAORemote) c.lookup("cz.frantovo.hibernateDemo1.CilDAORemote");
            } catch (NamingException e) {
                log.log(Level.SEVERE, "Chyba při hledání CilDAO", e);
                throw new RuntimeException(e);
            }
        }
        return cilDAO;
    }
}
